// ObjectInfoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "mapeditor.h"
#include "ObjectInfoDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CObjectInfoDlg dialog


CObjectInfoDlg::CObjectInfoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CObjectInfoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CObjectInfoDlg)
	m_bIsEvent = FALSE;
	m_strEventParam = _T("");
	m_bEventType = 0;
	m_sEventIndexFrom = 0;
	m_sEventIndexTo = 0;
	m_nObjectSrcIndex = 0; 
	m_bObjectTexIndex = 0;
	m_dwObjectType = 0;
	m_sObjectBodycondition = 0.0;
	m_sEventIndex3 = 0;
	m_dwMonsterUniqueNumber = 0;
	//}}AFX_DATA_INIT
}


void CObjectInfoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CObjectInfoDlg)
	DDX_Check(pDX, IDC_CHECK_EVENT, m_bIsEvent);
	DDX_Text(pDX, IDC_EDIT_EVENT_STRPARAM, m_strEventParam);
	DDX_Text(pDX, IDC_EDIT_EVENT_TYPE, m_bEventType);
	DDX_Text(pDX, IDC_EDIT_EVENT_WPARAM1, m_sEventIndexFrom);
	DDX_Text(pDX, IDC_EDIT_EVENT_WPARAM2, m_sEventIndexTo);
	DDX_Text(pDX, IDC_EDIT_OBJECT_SRCINDEX, m_nObjectSrcIndex);
	DDX_Text(pDX, IDC_EDIT_OBJECT_TEXINDEX, m_bObjectTexIndex);
	DDX_Text(pDX, IDC_EDIT_OBJECT_TYPE, m_dwObjectType);
	DDX_Text(pDX, IDC_EDIT_OBJECT_BODYCONDITION, m_sObjectBodycondition);
	DDX_Text(pDX, IDC_EDIT_EVENT_WPARAM3, m_sEventIndex3);
	DDX_Text(pDX, IDC_EDIT_OBJECT_SCALE, m_dwMonsterUniqueNumber);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CObjectInfoDlg, CDialog)
	//{{AFX_MSG_MAP(CObjectInfoDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CObjectInfoDlg message handlers
